
# Copyright (C) 1999  Jarra & Anna Voleynik
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.

#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.

$ pro_agent.cfg contains entries in the following format:
# PRO:<process_name>:<severity> 

# point to the directory where emsg.sh wrapper for emsg1 resides
EMSGSHDIR=.  

# ps output
TMPFILE=/tmp/ps.out

ps axw  > $TMPFILE
oldIFS=$IFS 
IFS='
'

for line in `cat pro_agent.cfg  | egrep '^PRO:'` 
do
	IFS=$oldIFS

	PROC=`echo $line | cut -d: -f 2`
	SEV=`echo $line | cut -d: -f 3`

	# get a list of processes

	if [ -z "`egrep "$PROC" $TMPFILE | grep -v grep`" ];then
		$EMSGSHDIR/emsg.sh $SEV /OS/PRO "$PROC is missing"
	fi
done



		
